declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    placement: import("vue-types").VueTypeDef<"top" | "right" | "bottom" | "left"> & {
        default: "top" | "right" | "bottom" | "left";
    };
    min: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    triggerWidth: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    triggerOffset: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    initialDivide: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    immediate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>>;
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>>;
    collapsible: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>>;
    isCollapsed: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    autoMinimize: import("vue-types").VueTypeDef<number | boolean> & {
        default: number | boolean;
    };
    border: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
}>, {
    collapsed: import("vue").Ref<boolean, boolean>;
    asideContentVisible: import("vue").Ref<boolean, boolean>;
    minimized: import("vue").Ref<boolean, boolean>;
    limitMax: import("vue").Ref<any, any>;
    state: import("vue").Ref<any, any>;
    vertical: import("vue").ComputedRef<boolean>;
    cssPropKey: import("vue").ComputedRef<"width" | "height">;
    bkResizeLayoutRef: import("vue").Ref<HTMLElement, HTMLElement>;
    resizeProxyRef: import("vue").Ref<HTMLElement, HTMLElement>;
    resizeMaskRef: import("vue").Ref<HTMLElement, HTMLElement>;
    asideRef: import("vue").Ref<HTMLElement, HTMLElement>;
    triggerStyle: import("vue").ComputedRef<{
        [x: string]: string;
    }>;
    asideStyle: import("vue").ComputedRef<{
        [x: string]: string;
    }>;
    handleMousedown: (event: any) => void;
    setCollapse: (collapse: any) => void;
    resolveClassName: (cls: string) => string;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("before-resize" | "resizing" | "after-resize" | "collapse-change")[], "before-resize" | "resizing" | "after-resize" | "collapse-change", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    placement: import("vue-types").VueTypeDef<"top" | "right" | "bottom" | "left"> & {
        default: "top" | "right" | "bottom" | "left";
    };
    min: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    triggerWidth: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    triggerOffset: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    initialDivide: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    immediate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>>;
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>>;
    collapsible: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>>;
    isCollapsed: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    autoMinimize: import("vue-types").VueTypeDef<number | boolean> & {
        default: number | boolean;
    };
    border: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
}>> & Readonly<{
    "onBefore-resize"?: (...args: any[]) => any;
    onResizing?: (...args: any[]) => any;
    "onAfter-resize"?: (...args: any[]) => any;
    "onCollapse-change"?: (...args: any[]) => any;
}>, {
    placement: "top" | "right" | "bottom" | "left";
    border: boolean;
    max: number;
    min: number;
    triggerWidth: number;
    triggerOffset: number;
    initialDivide: string | number;
    isCollapsed: boolean;
    autoMinimize: number | boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
